Bug 1356010 - Volume affinity in Openshift
Summary: Volume affinity in Openshift
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
urgent
medium
Target Milestone: ---
: ---
Assignee: Andy Goldstein
QA Contact: DeShuai Ma
URL:
Whiteboard:
Depends On:
Blocks: 1267746 1365600
TreeView+ depends on / blocked
 
Reported: 2016-07-13 09:16 UTC by Jaspreet Kaur
Modified: 2017-03-08 18:26 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Volume affinity in OpenShift Reason: Cloud providers typically use multiple zones/regions for their virtual machines and storage offerings. A virtual machine in one zone/region can only mount storage from the same zone/region in which it resides. OpenShift pods that use cloud storage must be scheduled onto virtual machines in the same zone/region for their associated storage; otherwise, the pods will fail to run. Result: Pods are scheduled to the same zone/region as their associated storage. Note, if you are not using the default scheduler configuration, you need to ensure that the NoVolumeZoneConflict scheduler predicate is enabled in your scheduler configuration file in order for volume affinity to function correctly.
Clone Of:
: 1365600 (view as bug list)
Environment:
Last Closed: 2016-09-27 09:39:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Description Jaspreet Kaur 2016-07-13 09:16:08 UTC
3. What is the nature and description of the request?
For HA/DR, we want to use multiple availability zones of AWS, as already supported by kubernetes (see kubernetes guide "Running in Multiple Zones" http://kubernetes.io/docs/admin/multiple-zones/)

4. Why does the customer need this?  (List the business requirements here)
For HA/DR

 5. How would the customer like to achieve this? (List the functional requirements here)
Use multiple availability zones.

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  

We are ready to test any functionality 

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  

Not known

8. Does the customer have any specific timeline dependencies and which release would they like to target ?

ASAP
      
9. Is the sales team involved in this request and do they have any additional input? 
No
      
10. List any affected packages or components.  

n/a
      
11. Would the customer be able to assist in testing this functionality if implemented?  

yes

Comment 4 Andy Goldstein 2016-07-13 17:25:24 UTC
https://github.com/openshift/origin/pull/9822

Comment 12 errata-xmlrpc 2016-09-27 09:39:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1933


Note You need to log in before you can comment on or make changes to this bug.